# Uses of Class
serp.bytecode.JumpInstruction

Packages that use JumpInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of JumpInstruction in serp.bytecode

Subclasses of JumpInstruction in serp.bytecode
Modifier and Type
Class
Description
`class`
`GotoInstruction`
An instruction that specifies a position in the code block to jump to.
`class`
`IfInstruction`
An if instruction such as `ifnull, ifeq`, etc.
`class`
`LookupSwitchInstruction`
The `lookupswitch` instruction.
`class`
`SwitchInstruction`
Contains functionality common to the different switch types (TableSwitch and LookupSwitch).
`class`
`TableSwitchInstruction`
The `tableswitch` instruction.
Methods in serp.bytecode that return JumpInstruction
Modifier and Type
Method
Description
`JumpInstruction`
Code.`go2()`
The `go2` opcode.
`JumpInstruction`
Code.`jsr()`
The `jsr` opcode used in implementing `finally` clauses.
`JumpInstruction`
JumpInstruction.`setTarget(Instruction instruction)`
Set the instruction to jump to; the instruction must already be added to the code block.

## Uses of JumpInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type JumpInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterJumpInstruction(JumpInstruction obj)`
`void`
PrettyPrintVisitor.`enterJumpInstruction(JumpInstruction obj)`
`void`
BCVisitor.`exitJumpInstruction(JumpInstruction obj)`